# Class AlphaPolymer

java.lang.Object
org.jmol.modelsetbio.BioPolymer
org.jmol.modelsetbio.AlphaPolymer

All Implemented Interfaces:
  `Structure`

Direct Known Subclasses:
  `AminoPolymer`

public class AlphaPolymer extends BioPolymer

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`pt0`
Specifically for mmTF bitset setting of structures

### Fields inherited from class BioPolymer

`bioPolymerIndexInModel, controlPoints, cyclicFlag, hasStructure, hasWingPoints, haveParameters, invalidControl, leadAtomIndices, leadMidpoints, leadPoints, model, monomerCount, monomers, reversed, sheetSmoothing, twistedSheets, type, TYPE_AMINO, TYPE_CARBOHYDRATE, TYPE_NOBONDING, TYPE_NUCLEIC, wingVectors`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStructure(STR type, String structureID, String serialID, int strandCount, int startChainID, int startSeqcode, int endChainID, int endSeqcode, int istart, int iend, BS bsAssigned)`
`boolean`
`addStructureProtected(STR type, String structureID, String serialID, int strandCount, int indexStart, int indexEnd)`
`void`
`calculateStructures(boolean alphaOnly)`
Uses Levitt invalid input: '&' Greer algorithm to calculate protein secondary structures using only alpha-carbon atoms.
`void`
`clearStructures()`
`protected P3`
`getControlPoint(int i, V3 v)`
`ProteinStructure`
`getProteinStructure(int monomerIndex)`
`int`
`setStructureBS(int count, int dsspType, STR type, BS bs, boolean doOffset)`
bits in the bitset determines the type

### Methods inherited from class BioPolymer

`calcEtaThetaAngles, calcParameters, calcPhiPsiAngles, calcRasmolHydrogenBonds, calcSelectedMonomersCount, calculateRamachandranHelixAngle, findNearestAtomIndex, getControlPoints, getIndex, getLeadAtomIndices, getLeadMidpoints, getPolymerPointsAndVectors, getPolymerSequenceAtoms, getRange, getRangeGroups, getSequence, getType, getWingVectors, isCyclic, isNucleic, recalculateLeadMidpointsAndWingVectors, resetHydrogenPoints, setAtomBits, setAtomBitsAndClear, setConformation, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### pt0

public int pt0
Specifically for mmTF bitset setting of structures

## Method Details

### getProteinStructure

public ProteinStructure getProteinStructure(int monomerIndex)

Overrides:
  `getProteinStructure` in class `BioPolymer`
Parameters:
  `monomerIndex` -
Returns:
  "HELIX" "TURN" etc

### getControlPoint

protected P3 getControlPoint(int i, V3 v)

Overrides:
  `getControlPoint` in class `BioPolymer`
Parameters:
  `i` -
  `v` -
Returns:
  the leadPoint unless a protein sheet residue (see AlphaPolymer)

### addStructure

public void addStructure(STR type, String structureID, String serialID, int strandCount, int startChainID, int startSeqcode, int endChainID, int endSeqcode, int istart, int iend, BS bsAssigned)

### addStructureProtected

public boolean addStructureProtected(STR type, String structureID, String serialID, int strandCount, int indexStart, int indexEnd)

### clearStructures

public void clearStructures()

Overrides:
  `clearStructures` in class `BioPolymer`

### calculateStructures

public void calculateStructures(boolean alphaOnly)
Uses Levitt invalid input: '&' Greer algorithm to calculate protein secondary structures using only alpha-carbon atoms.

Levitt and Greer
Automatic Identification of Secondary Structure in Globular Proteins
J.Mol.Biol.(1977) 114, 181-293

http://csb.stanford.edu/levitt/Levitt_JMB77_Secondary_structure.pdf

Parameters:
  `alphaOnly` - caught by AminoPolymer and discarded if desired

### setStructureBS

public int setStructureBS(int count, int dsspType, STR type, BS bs, boolean doOffset)
bits in the bitset determines the type

Parameters:
  `count` -
  `dsspType` -
  `type` -
  `bs` -
  `doOffset` - allows us to examine just a portion of the
Returns:
  updated count